## org.omg.IIOP
Class ListenPoint

    java.lang.Object
      |
      +--org.omg.IIOP.ListenPoint

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ListenPoint
extends java.lang.Object
implements IDLEntity

Struct definition : ListenPoint

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`java.lang.String` `host` Struct member host
`short` `port` Struct member port

Constructor Summary
`ListenPoint()` Default constructor
`ListenPoint(java.lang.String host, short port)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### host

    public java.lang.String host

  Struct member host

### port

    public short port

  Struct member port

Constructor Detail

### ListenPoint

    public ListenPoint()

  Default constructor

### ListenPoint

    public ListenPoint(java.lang.String host,
                       short port)

  Constructor with fields initialization
  Parameters:
    `host` - host struct member
    `port` - port struct member